import React from 'react';
import { Input } from 'antd';
import styles from './styles.less';
import { CommonProps } from '../editInterface';

export default function(props: CommonProps) {
    const { value, placeholder,onChange } = props;
    const selfProps = { value, placeholder,onChange };
    return (
        <div className={styles.container}>
            <Input className={styles.input} {...selfProps} />
        </div>
    );
}
