import React from 'react';
import { DatePicker } from 'antd';
import styles from './styles.less';
import { DateProps } from '../editInterface';

export default function(props: DateProps) {
    const { value, placeholder, allowClear, disabled, format, showTime,onChange } = props;

    const selfProps = { value, placeholder, allowClear, disabled, format, showTime,onChange };
    return (
        <div className={styles.container}>
            <DatePicker {...selfProps} />
        </div>
    );
}
